ce:registry_with_cdn:
  extends:
    - .rules:ce-never-when-triggered-by-feature-flag-definition-change
    - .test
    - .high-capacity
    - .ce-variables
    - .rspec-report-opts
  variables:
    QA_SCENARIO: "Test::Integration::RegistryWithCDN"
  allow_failure: true

ce:registry_with_cdn-quarantine:
  extends:
    - .rules:ce-never-when-triggered-by-feature-flag-definition-change
    - .test
    - .high-capacity
    - .ce-variables
    - .quarantine
    - .rspec-report-opts
  variables:
    QA_SCENARIO: "Test::Integration::RegistryWithCDN"

ee:registry_with_cdn:
  extends:
    - .rules:ee-never-when-triggered-by-feature-flag-definition-change
    - .test
    - .ee-variables
    - .high-capacity
    - .rspec-report-opts
  variables:
    QA_SCENARIO: "Test::Integration::RegistryWithCDN"
  allow_failure: true

ee:registry_with_cdn-quarantine:
  extends:
    - .rules:ee-never-when-triggered-by-feature-flag-definition-change
    - .test
    - .high-capacity
    - .ee-variables
    - .quarantine
    - .rspec-report-opts
  variables:
    QA_SCENARIO: "Test::Integration::RegistryWithCDN"
